SonarLint 3.6 - eclipse marketPlace problem

sonarlint

(Labeau) #1

Hello everyone,

I’m trying to install SonarLint plugin from the Eclipse Marketplace and I meet the error below :

“Unable to read repository at https://eclipse-uc.sonarlint.org/compositeContent.xml.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target”

Further information :
Version: Oxygen.1a Release (4.7.1a)
Build id: 20171005-1200

Can somebody helps me on this topic ? Do I need to install any certificate ?
Thank you in advance.


(Henri Gomez) #2

Hi Axel

What’s version of Java you’re using with Eclipse ?


(Labeau) #3

I’m using jdk1.8.0_144 :slight_smile:


(Labeau) #4

Is anybody can help me ?